Package org.springframework.batch.core.listener

# Class CompositeSkipListener<T,S>

java.lang.Object
org.springframework.batch.core.listener.CompositeSkipListener<T,S>

All Implemented Interfaces:
  `SkipListener<T,S>`, `StepListener`

public class CompositeSkipListener<T,S> extends Object implements SkipListener<T,S>

Author:
  Dave Syer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompositeSkipListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onSkipInProcess(T item, Throwable t)`
  Call the registered listeners in order, respecting and prioritising those that implement `Ordered`.
  `void`
  `onSkipInRead(Throwable t)`
  Call the registered listeners in order, respecting and prioritising those that implement `Ordered`.
  `void`
  `onSkipInWrite(S item, Throwable t)`
  Call the registered listeners in order, respecting and prioritising those that implement `Ordered`.
  `void`
  `register(SkipListener<? super T,? super S> listener)`
  Register additional listener.
  `void`
  `setListeners(List<? extends SkipListener<? super T,? super S>> listeners)`
  Public setter for the listeners.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompositeSkipListener

    public CompositeSkipListener()

- ## Method Details

  - ### setListeners

    public void setListeners(List<? extends SkipListener<? super T,? super S>> listeners)
    Public setter for the listeners.
    Parameters:
      `listeners` - list of `SkipListener`s to be called when skip events occur.

  - ### register

    public void register(SkipListener<? super T,? super S> listener)
    Register additional listener.
    Parameters:
      `listener` - instance of `SkipListener` to be registered.

  - ### onSkipInRead

    public void onSkipInRead(Throwable t)
    Call the registered listeners in order, respecting and prioritising those that implement `Ordered`.
    Specified by:
      `onSkipInRead` in interface `SkipListener<T,S>`
    Parameters:
      `t` - cause of the failure
    See Also:
      - `SkipListener.onSkipInRead(java.lang.Throwable)`

  - ### onSkipInWrite

    public void onSkipInWrite(S item, Throwable t)
    Call the registered listeners in order, respecting and prioritising those that implement `Ordered`.
    Specified by:
      `onSkipInWrite` in interface `SkipListener<T,S>`
    Parameters:
      `item` - the failed item
      `t` - the cause of the failure
    See Also:
      - `SkipListener.onSkipInWrite(java.lang.Object, java.lang.Throwable)`

  - ### onSkipInProcess

    public void onSkipInProcess(T item, Throwable t)
    Call the registered listeners in order, respecting and prioritising those that implement `Ordered`.
    Specified by:
      `onSkipInProcess` in interface `SkipListener<T,S>`
    Parameters:
      `item` - the failed item
      `t` - the cause of the failure
    See Also:
      - `SkipListener.onSkipInWrite(java.lang.Object, java.lang.Throwable)`